# class DRb::DRbArray

An `Array` wrapper that can be sent to another server via `DRb`.

All entries in the array will be dumped or be references that point to the local server.

### Public Class Methods

new(ary) click to toggle source

Creates a new `DRbArray` that either dumps or wraps all the items in the `Array` `ary` so they can be loaded by a remote `DRb` server.

    # File lib/drb/drb.rb, line 522
    def initialize(ary)
      @ary = ary.collect { |obj|
        if obj.kind_of? DRbUndumped
          DRbObject.new(obj)
        else
          begin
            Marshal.dump(obj)
            obj
          rescue
            DRbObject.new(obj)
          end
        end
      }
    end